Altimax\Apidae\Core\Entity\SitraSportsHiver:
  type: entity
  table: sitra_sports_hiver
  indexes:
    objet_id:
      columns:
        - objet_id
    fk_sports_hiver_langue_idx:
      columns:
        - lang_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    nombreItinerairesRaquettes:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: nombre_itineraires_raquettes
    nombreKilometresItinerairesRaquettes:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: nombre_kilometres_itineraires_raquettes
    nombreItinerairesPietons:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: nombre_itineraires_pietons
    nombreKilometresItinerairesPietons:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: nombre_kilometres_itineraires_pietons
    ageMinimumEnseignementSki:
      type: string
      nullable: true
      length: 255
      fixed: false
      comment: 'à traduire'
      column: age_minimum_enseignement_ski
    trancheAgeAccueilEnfantGarderie:
      type: string
      nullable: true
      length: 255
      fixed: false
      comment: 'à traduire'
      column: tranche_age_accueil_enfant_garderie
  manyToOne:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: null
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
    lang:
      targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
      cascade: {  }
      mappedBy: null
      inversedBy: null
      joinColumns:
        lang_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  manyToMany:
    elementReference:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: {  }
      mappedBy: null
      inversedBy: sportHiver
      fetch: EXTRA_LAZY
      joinTable:
        name: sitra_liaison_sport_hiver_element_reference
        joinColumns:
          - name: sport_hiver_id
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          - name: element_reference_id
            referencedColumnName: id
            onDelete: CASCADE
      orderBy: null
  lifecycleCallbacks: {  }
